OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.InternalformatQuery

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBInternalformatQuery :: MonadIO m => m Bool
- gl_ARB_internalformat_query :: Bool
- pattern GL_NUM_SAMPLE_COUNTS :: GLenum
- glGetInternalformativ :: MonadIO m => GLenum -> GLenum -> GLenum -> GLsizei -> Ptr GLint -> m ()

# Extension Support

glGetARBInternalformatQuery :: MonadIO m => m Bool Source #

Is the ARB_internalformat_query extension supported?

gl_ARB_internalformat_query :: Bool Source #

Is the ARB_internalformat_query extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBInternalformatQuery` in those cases instead.

# Enums

pattern GL_NUM_SAMPLE_COUNTS :: GLenum Source #

# Functions

glGetInternalformativ Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLenum | `internalformat` of type InternalFormat.
-> GLenum | `pname` of type InternalFormatPName.
-> GLsizei | `count`.
-> Ptr GLint | `params` pointing to `count` elements of type `GLint`.
-> m () |

Manual page for OpenGL 4.x.